/*== cio.js ============================================================
Console I/O module for writing to stderr and stdout.
Version     : $Id: cio.js 477 2010-06-24 11:35:45Z hartwig $
Application : Utilities
Description : JScript module for writing to stderr and stdout.
------------------------------------------------------------------------
Created    : 04.08.2008, Hartwig Thomas, Enter AG, Zurich
Copyright (c) 2009, Enter AG, Zurich, Switzerland, 2009
This file is part of the project Bundesversammlung.
cio.js is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.
cio.js is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with Open Government Data. If not, see <http://www.gnu.org/licenses/>.
======================================================================*/
/* Help avoid duplicate import */
var g_ciojs = true;
/* Report loading */
if (g_bVerbose)
  WScript.StdOut.WriteLine("loading cio.js");
  
/*======================================================================
Cio
======================================================================*/
/* date is needed for formatting timestamp of error messages */
if (typeof g_datejs == "undefined")
  eval(g_fso.OpenTextFile(getScriptDir()+"date.js",1).ReadAll());

/*----------------------------------------------------------------------
Cio class
----------------------------------------------------------------------*/
function Cio()
{
  this.sERROR_MARKER = "===ERROR===>";
}; /* Cio */

/*----------------------------------------------------------------------
(public static) out writes a message to stdout
----------------------------------------------------------------------*/
Cio.out = function(sMessage)
{
  WScript.StdOut.Write(sMessage);
}; /* out */

/*----------------------------------------------------------------------
(public static) outln writes a message to stdout
----------------------------------------------------------------------*/
Cio.outln = function(sMessage)
{
  WScript.StdOut.WriteLine(sMessage);
}; /* outln */

/*----------------------------------------------------------------------
(public static) err writes a message to stderr
----------------------------------------------------------------------*/
Cio.err = function(sMessage)
{
  WScript.StdErr.Write(sMessage);
}; /* err */

/*----------------------------------------------------------------------
(public) errln writes an error message to stderr
----------------------------------------------------------------------*/
Cio.prototype.errln = function(sMessage)
{
  WScript.StdErr.WriteLine(Date.tsNow() + " " + this.sERROR_MARKER + " " + sMessage);
}; /* errln */
