/*== text.js ===========================================================
Text file utilities.
Version     : $Id: text.js 477 2010-06-24 11:35:45Z hartwig $
Application : Utilities
Description : JScript module for text file system utilities based on the
              global FileSystemObject g_fso
------------------------------------------------------------------------
Created    : 16.01.2009, Hartwig Thomas, Enter AG, Zurich
Copyright  : Enter AG, Zurich, Switzerland, 2009
This file is part of the project Bundesversammlung.
text.js is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.
text.js is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with Bundesversammlung. If not, see <http://www.gnu.org/licenses/>.
======================================================================*/
/* Help avoid duplicate import */
g_textjs = true;
/* Report loading */
if (g_bVerbose)
  WScript.StdOut.WriteLine("loading text.js");
  
/*====================================================================
Text
====================================================================*/
/*--------------------------------------------------------------------
Text class
--------------------------------------------------------------------*/
function Text()
{
  this.file = null;
};  /* Text */

/*----------------------------------------------------------------------
OpenTextFile constants
----------------------------------------------------------------------*/
Text.iIOMODE_FORREADING = 1;
Text.iIOMODE_FORWRITING = 2;
Text.iIOMODE_FORAPPENDING = 8;

Text.iTRISTATE_DEFAULT = -2;
Text.iTRISTATE_UNICODE = -1;
Text.iTRISTATE_ASCII = 0;
  
/*----------------------------------------------------------------------
(public) open opens the text file.
----------------------------------------------------------------------*/
Text.prototype.open = function(sFilename, iMode, bCreate, iTriState)
{
  this.file = g_fso.OpenTextFile(sFilename, iMode, bCreate, iTriState);
};  /* open */

/*----------------------------------------------------------------------
(public) readAll returns the whole content of the text file as a string.
----------------------------------------------------------------------*/
Text.prototype.readAll = function()
{
  return this.file.ReadAll();
};  /* readAll */

/*----------------------------------------------------------------------
(public) isOpen checks, whether text file is open.
----------------------------------------------------------------------*/
Text.prototype.isOpen = function()
{
  var bOpen = false;
  if (this.file)
    bOpen = true;
  return bOpen;
};  /* isOpen */

/*----------------------------------------------------------------------
(public) write writes the string to the open file
----------------------------------------------------------------------*/
Text.prototype.write = function(s)
{
  return this.file.Write(s);
};  /* write */

/*----------------------------------------------------------------------
(public) close closes the file
----------------------------------------------------------------------*/
Text.prototype.close = function()
{
  this.file.Close();
  this.file = null;
};  /* close */
